/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.Size;

import net.northking.cctp.common.db.POJO;
import net.northking.cctp.common.db.Partition;

import java.util.List;


/**
 * 用例设计统计图表

 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2021-12-15 14:58:27  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "用例设计统计图表 ")
public class MtCaseDesignChart extends Partition implements POJO
{
  public static final String KEY_id = "id";
  public static final String KEY_caseType = "caseType";
  public static final String KEY_amount = "amount";
  public static final String KEY_tenantId = "tenantId";
  public static final String KEY_createBy = "createBy";
  public static final String KEY_createdTime = "createdTime";
  public static final String KEY_projectId = "projectId";

  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 36, message="-id: 数据长度不能 > 36" )
  private String id;
  /**
   * 用例类型<br>
   */
  @ApiModelProperty("用例类型")
  private String caseType;
  /**
   * 数量<br>
   */
  @ApiModelProperty("数量")
  private Integer amount;
  /**
   * 租户id<br>
   */
  @ApiModelProperty("租户id")
  @Size(max = 32, message="租户id-tenantId: 数据长度不能 > 32" )
  private String tenantId;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 128, message="-createBy: 数据长度不能 > 128" )
  private String createBy;
  /**
   * 创建时间<br>
   */
  @ApiModelProperty("创建时间")
  @Size(max = 50, message="创建时间-createdTime: 数据长度不能 > 50" )
  private String createdTime;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 50, message="-projectId: 数据长度不能 > 50" )
  private String projectId;


  private List<String> projectIds;

  public List<String> getProjectIds() {
    return projectIds;
  }

  public void setProjectIds(List<String> projectIds) {
    this.projectIds = projectIds;
  }

  /**
   * <br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * <br>
   *
   * @param id 
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 租户id<br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户id<br>
   *
   * @param tenantId 租户id
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }
  /**
   * <br>
   */
  public String getCreateBy()
  {
      return createBy;
    }

  /**
   * <br>
   *
   * @param createBy 
   */
  public void setCreateBy(String createBy)
  {
      this.createBy = createBy;
    }
  /**
   * 创建时间<br>
   */
  public String getCreatedTime()
  {
      return createdTime;
    }

  /**
   * 创建时间<br>
   *
   * @param createdTime 创建时间
   */
  public void setCreatedTime(String createdTime)
  {
      this.createdTime = createdTime;
    }
  /**
   * <br>
   */
  public String getProjectId()
  {
      return projectId;
    }

  /**
   * <br>
   *
   * @param projectId 
   */
  public void setProjectId(String projectId)
  {
      this.projectId = projectId;
    }

  public String getCaseType() {
    return caseType;
  }

  public void setCaseType(String caseType) {
    this.caseType = caseType;
  }

  public Integer getAmount() {
    return amount;
  }

  public void setAmount(Integer amount) {
    this.amount = amount;
  }

  public MtCaseDesignChart()
  {
  }

}
